<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>internetguru.demo</groupId>
  <artifactId>java-basic</artifactId>
  <version>0</version>
  <properties>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
  <build>
    <sourceDirectory>${project.basedir}/src/main</sourceDirectory>
    <testSourceDirectory>${project.basedir}/src/test</testSourceDirectory>
    <pluginManagement>
      <plugins>
        <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>exec-maven-plugin</artifactId>
            <version>1.6.0</version>
            <executions>
                <execution>
                    <id>HelloWorld</id>
                    <goals>
                        <goal>java</goal>
                    </goals>
                    <configuration>
                        <mainClass>HelloWorld</mainClass>
                    </configuration>
                </execution>
                <execution>
                    <id>Sum</id>
                    <goals>
                        <goal>java</goal>
                    </goals>
                    <configuration>
                        <mainClass>Sum</mainClass>
                    </configuration>
                </execution>
                <execution>
                    <id>MultiSum</id>
                    <goals>
                        <goal>java</goal>
                    </goals>
                    <configuration>
                        <mainClass>MultiSum</mainClass>
                    </configuration>
                </execution>
            </executions>
        </plugin>
        <!-- test -->
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-surefire-plugin</artifactId>
          <version>3.0.0-M3</version>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>
</project>
